Subject: bug#5133: ispell-buffer with LaTeX file VERY slow in nextstep port of emacs 23.1.1

From: Steve Revilak <[email-masked]>
Date: Thu, 31 Dec 2009 15:05:28 -0500

I've tried to reproduce this issue with

   GNU Emacs 23.1.91.1 (powerpc-apple-darwin8.11.0, NS apple-appkit-824.48) of 2009-12-31 on spud.local

M-x ispell-buffer slowness still occurs when Emacs is started as a
"windowed" application (i.e.,
"/Applications/Emacs.app/Contents/MacOS/Emacs -Q").  M-x ispell-buffer
still takes 57 seconds to check gpl-3.0.tex.

I have one new bit of information to report.  M-x ispell-buffer is NOT
slow when emacs 23.1.91.1 is run as a non-windowed application (i.e., 
"/Applications/Emacs.app/Contents/MacOS/Emacs -Q -nw").  When started
with -nw, emacs 23.1.91.1 can spell check gpl-3.0.tex in under a
second.

I hadn't thought to try -nw before, so I went back and checked a few
older versions of emacs-23. (23.1.90.1, 23.1.50.1, 23.1.1).  In all
cases, M-x ispell-buffer is fast with "-nw", and slow without "-nw".